ODBC Microsoft Access Setup Dialog Box

The ODBC Microsoft Access Setup dialog box contains the following controls among others:

Data source information | Identifies the Access database, defaulting to the name assigned by the manufacturer. The Description field, blank by default, can contain your descriptive qualifiers.
Database | Click Repair to fix a damaged Access database, and Compact to reduce wasted space. Click Select or Create to open an existing or new database.
System Database | Click to select a shared database. The default user name is Admin, and the default Microsoft Access password for the Admin user is an empty string.
Options Click to change the following driver options:
  • Page timeout. The time (in tenths of a second) that an unused page remains in the buffer. It must always be greater than 0.

  • Buffer size. The size of the internal buffer, in kilobytes, used by Microsoft Access to transfer data to and from the disk. Can be any integer value divisible by 256.

  • Database access constraints.
Advanced | Click to configure additional options for driver performance.

Note Detailed and programmatic information about this driver is located at msdn.microsoft.com. (Open the MSDN Library Online and then the Platform SDK to find the MDAC SDK, which contains a section called ODBC Drivers.) Other information can be found under Data Source Conversion, Access Files, IISAM Registry Entries, and Common ODBC Component Files in this help file. Product Support is available.


.topic 2
Exits this dialog box without saving any changes.

.topic 3
Identifies the data source name, such as Payroll or Personnel. When the Microsoft Excel 3.0 or 4.0 driver is used, specifies the default data directory in which the ODBC driver searches for data files. For Microsoft Excel 5.0, 7.0, or 97, specifies the default data workbook in which the ODBC driver searches for data files.

.topic 4
An optional description of the data in the data source; for example, "Hire date, salary history, and current employees' reviews."

.topic 5
Displays Help for this dialog box.

.topic 6
Exits the Setup dialog box and saves changes.

.topic 7
Select to make the database read-only to prohibit any updates.

.topic 8
The number of rows to scan to determine the data type of each column. For the Microsoft Excel driver, this can be any number from 1 to 16, defaulting to 8; if set to 0, all rows are scanned.

.topic 9
Click to open the Select Directory dialog box, where you can select a directory containing the files you want to access. When defining a data source directory, specify the directory that contains your most commonly used Excel files for Microsoft Excel 3.0 or 4.0.

.topic 10
Click to open the Select Workbook dialog box, where you can select a workbook you want to access.

.topic 11
Select to make the application's current working directory the data source directory. When cleared, you can select the data source directory by clicking the Select Directory button. Disabled for Microsoft Excel 5.0, 7.0, and 97.

.topic 12
Specifies the Excel version of the files used.

.topic 13
Use these options to change the location and version of Excel files.

.topic 14
Use these options to configure driver-specific attributes.

.topic 15
Click to configure driver-specific attributes.

.topic 16
The location of the selected Excel directory.

.topic 17
The location of the selected Excel workbook.

.topic 201
Click to add an extension that has been typed in the Extension box.

.topic 202
Exits this dialog box without saving any changes.

.topic 203
Identifies the data source name, such as Payroll or Personnel, and specifies the default data directory in which the ODBC driver searches for data files.

.topic 204
When selected, all files in the directory can be used. When cleared, the Extensions List defaults to *.asc, *.csv, *.tab, and *.txt extensions, and you can add or delete specific extensions as desired.

.topic 205
Click to open the Define Text Format dialog box, where you can define column formats and specify table schemas in the data source directory.

.topic 206
An optional description of the data in the data source; for example, "Hire date, salary history, and current employees' reviews."

.topic 207
Enter the file extension you want to add, using the format *.xxx. For example, to use .dat files, type the extension *.dat.

.topic 208
Lists the file name extensions of the text files in the data source, based on the selected or cleared status of the Default check box.

.topic 214
Use these options to format specific file types.

.topic 215
Use these options to add or remove nondefault file extensions from the Extensions List. To add a file extension, clear the Default check box, type the new extension in the Extension box, and click Add.

.topic 216
Use these options to select the location of the text file and display the file name.

.topic 209
Displays Help for this dialog box.

.topic 210
Exits the Setup dialog box and saves changes.

.topic 211
Click to remove a selected file extension from the Extensions List.

.topic 212
Click to open the Select Directory dialog box, where you can select a directory containing the files you want to access.

.topic 213
Select to make the application's current working directory the data source directory. When cleared, you can select the data source directory by clicking Select Directory.

.topic 217
Click to configure text file attributes and add or remove text file types.

.topic 218
Identifies the location of the text file.

.topic 301
Click to add a column using the values in the Data Type, Name, and Width fields.

.topic 302
Exits this dialog box without saving any changes.

.topic 321
Specifies a character set as either ANSI or OEM.

.topic 303
Specifies a character set as ANSI for the format of the item selected in the Tables list.

.topic 304
Specifies whether the columns of the selected table's first row will be used as column names (TRUE if selected, FALSE if cleared).

.topic 305
Lists the column names for each column in the table selected in the Tables list and reflects the order of the columns in the table.

.topic 319
Allows you to define column attributes for the selected text file.

.topic 306
Displays the data type and can be BIT, BYTE, CHAR, CURRENCY, DATE, FLOAT, INTEGER, LONGCHAR, SHORT, or SINGLE.

.topic 307
The custom delimiter character to be used to separate columns. Must be only one character in length, and double quotation marks (") cannot be used. Enabled when Custom Delimited is selected from the Format list box.

.topic 308
Either delimited or fixed-length; if delimited, indicates the type of delimiter used.

.topic 309
Generates the data type, name, and width values for the columns in the selected table by scanning the table's contents according to the Format list box selection. Enabled when the table format is delimited.

.topic 310
Displays Help for this dialog box.

.topic 311
Modifies the selected column using the values in the Data Type, Name, and Width fields.

.topic 312
Displays the name of the selected column. Can be used to specify a new column name for either an existing column or a new column.

.topic 313
Exits this dialog box and saves changes.

.topic 314
Deletes the selected column.

.topic 315
The number of rows that Setup or the driver will scan when setting the columns and column data types. Defaults to 25 if the format of the item selected in the Tables list has not been defined, but can be any number from 1 to 32767.

.topic 316
Lists all files that match the list of extensions specified in the ODBC Text Setup dialog box. Select a file to display or modify its table attributes.

.topic 320
Use these options to define table attributes for a selected text file.

.topic 317
The width of the column; can be changed for CHAR or LONGCHAR columns. For other data types, Width is disabled and no value is displayed. Defaults to 1 if the format of the item selected in the Tables list has not been defined.

.topic 318
Specifies a non-ANSI character set (the default) for the format of the file selected in the Tables list.

.topic 401
Exits this dialog box without saving any changes.

.topic 402
The sequence -- whether ASCII (the default), International, Swedish-Finnish, or Norwegian-Danish -- in which the fields are sorted.

.topic 403
Identifies the data source name, such as Payroll or Personnel, and specifies the default data directory in which the ODBC driver searches for data files.

.topic 404
An optional description of the data in the data source; for example, "Hire date, salary history, and current employees' reviews."

.topic 405
When selected, the database opens in Exclusive mode, which limits access to one user at a time and improves performance. When cleared, the database opens in Shared mode and can be accessed simultaneously by multiple users.

.topic 406
Displays Help for this dialog box.

.topic 407
Specifies the network access style to use when accessing Paradox data: either "3.x" for Paradox 3.x or "4.x" for Paradox 4.x or 5.x. Can be set to either "3.x" or "4.x" for Paradox versions 4.x and 5.x; for Paradox version 3.x, the style must be "3.x".

.topic 408
Exits the Setup dialog box and saves changes.

.topic 409
The period of time, in tenths of a second, that an unused page remains in the buffer. The default value is 600 tenths (or 60 seconds) and must be greater than 0.

.topic 410
Click to open the Select Directory dialog box, where you can select a directory containing the files you want to access.

.topic 415
Identifies the location of the Paradox file.

.topic 411
Before selecting a network directory, you must enter your Paradox user name in the User Name text box. Then click Select Network Directory to select a network directory.

.topic 416
The path of the directory containing a Paradox lock database and also containing either the Pdoxusrs.net file (in Paradox 4.x) or the Paradox.net file (in Paradox 5.x). If the directory does not contain one of these files, the Paradox driver creates one.

.topic 412
Select to make the application's current working directory the data source directory. When cleared, you can select the data source directory by clicking Select Directory.

.topic 413
The Paradox user name displayed to other users of Paradox files when a lock is encountered.

.topic 414
Specifies the Paradox version of the files used -- for example, Paradox 4.x or Paradox 5.x.

.topic 417
Use these options to select and display the version and location of the Paradox database.

.topic 418
Use these options to configure the Paradox driver.

.topic 419
Click to configure driver-specific attributes.

.topic 501
Specifies whether table-size statistics are approximated. This option applies to all data sources that use the dBASE driver.

.topic 502
Exits this dialog box without saving any changes.

.topic 503
The sequence, either ASCII (the default) or international selections, in which the fields are sorted.

.topic 504
Identifies the data source name, such as Payroll or Personnel, and specifies the default data directory in which the ODBC driver searches for data files.

.topic 505
An optional description of the data in the data source; for example, "Hire date, salary history, and current employees' reviews."

.topic 506
When selected, the database opens in Exclusive mode, which limits access to one user at a time and improves performance. When cleared, the database opens in Shared mode and can be accessed simultaneously by multiple users.

.topic 507
Displays Help for this dialog box.

.topic 508
Exits the Setup dialog box and saves changes.

.topic 509
The period of time, in tenths of a second, that an unused page remains in the buffer. The default value is 600 tenths (or 60 seconds) and must always be greater than 0.

.topic 515
Identifies the location of the dBASE database.

.topic 510
Click to open the Select Directory dialog box, where you can select a directory containing the files you want to access.

.topic 511
Click to open the Select Indexes dialog box, where you can associate dBASE files with index files.

.topic 512
Specifies whether rows marked as deleted can be retrieved or positioned on. If cleared (the default), deleted rows are not displayed; if selected, deleted rows are treated the same as undeleted rows.

.topic 513
Select to make the application's current working directory the data source directory. When cleared, you can select the data source directory by clicking Select Directory.

.topic 514
Specifies the version of the dBASE files used; for example, dBASE III, dBASE IV, or dBASE 5.0.

.topic 516
Use these options to select and display the version and location of the dBASE database.

.topic 517
Use these options to configure the dBASE driver.

.topic 518
Click to configure driver-specific attributes.

.topic 701
Click to set advanced driver options to alter performance.

.topic 702
The size of the internal buffer, in kilobytes, used by Microsoft Access to transfer data to and from the disk. The default is 2048 KB (displayed as 2048). Enter any integer value divisible by 256.

.topic 703
Exits this dialog box without saving any changes.

.topic 704
Click to create an Access database.

.topic 705
Click to reduce wasted space in an existing Access database.

.topic 706
Identifies the data source name, such as Payroll or Personnel, and specifies the default data directory in which the ODBC driver searches for data files.

.topic 707
The location of the currently selected Access database. To select a database, click Select.

.topic 708
An optional description of the data in the data source; for example, "Hire date, salary history, and current employees' reviews."

.topic 709
When selected, the database opens in Exclusive mode, which limits access to one user at a time and improves performance. When cleared, the database opens in Shared mode and can be accessed simultaneously by multiple users.

.topic 710
Displays Help for this dialog box.

.topic 711
If no system database will be used, select this option to log in as the Admin (DefaultUser) user for a specific Access database.

.topic 712
Exits the Setup dialog box and saves changes.

.topic 713
The period of time, in tenths of a second, that an unused page remains in the buffer. The default value is 0.5 seconds and must always be greater than 0.

.topic 714
Select to make the database read-only to prohibit any updates.

.topic 715
Click to repair a damaged Access database.

.topic 716
Click to select a specific Access database.

.topic 723
Select to use a system database. Then click System Database.

.topic 717
Click to open the Select System Database dialog box, where you can select the system (workgroup) database you want to use.

.topic 718
Use these options to view the location of the Access database and perform database maintenance functions.

.topic 719
Use these options to select a system (workgroup) database and view its location.

.topic 720
The location of the currently selected Access database.

.topic 721
Use these options to configure the Access driver.

.topic 722
Click to configure driver-specific attributes.


Access Files

ODBC Desktop Database Drivers 4.0 includes the following ISAM files for the Microsoft Access driver:

32-bit ISAM | Microsoft Access version
None (included in Msjet40.dll) | 7.0 and 97
Msrd2x40.dll | 2.0
Msrd3x40.dll | 3.0

Note If you use Microsoft Windows 95/98 (not Microsoft Windows NT/Windows 2000) and do not have Microsoft Access installed on your computer, add the line "FILES= 50" to your Config.sys file.


System Database Login for Access

The Login dialog box allows you to type your authorized Access login name and password when connecting to an Access database previously defined as a system database. Login names and passwords are assigned by your database administrator and should be entered exactly as assigned.

Data Source indicates the data source to which you are connecting.

Note If the data source has not been selected, you can assign one by clicking Database.

Click OK to close the dialog box and initiate the login process.

Click Cancel to close the dialog box and cancel the login process.


Common ODBC Component Files

The following table lists the files required by each component of ODBC Desktop Database Drivers 4.0. These files are installed in the \Windows\System directory for Windows 95 or later, or the \Windows\System32 directory for Windows NT or Windows 2000. If ODBC files were previously installed in a different directory, make sure that you use the newer files in the \Windows\System (or System32) directory.

Some files are required by more than one component. These files must be redistributed if you intend to redistribute the ODBC Desktop Database Drivers with your commercial applications.

The following files are common to each of the ODBC Desktop Database Drivers:

Ds16gt.dll
Ds32gt.dll
Expsrv.dll
Msjint40.dll
Msjet40.dll
Msjter40.dll
Msjtes40.dll
Msvcrt40.dll 		Odbc16gt.dll
Odbc32.dll
Odbc32gt.dll
Odbccp32.cpl
Odbccp32.dll
Odbccr32.dll
Odbcinst.chm
Odbcint.dll 		Odbcjet.chm
Odbcji32.dll
Odbcjt32.dll
Odbctl32.dll
Vbajet32.dll
Odbctrac.dll


Database to Compact From Dialog Box

Compacting a database saves the existing data but rids the database of unused space. The Database to Compact From dialog box targets the specific database to compact and allows you to specify Read/Write Shared (the default), Read Only (which prohibits any updates), or Exclusive access to the database during the compaction process.

You can use the ODBC Microsoft Access Setup dialog box to perform data compaction. Click Compact, and then in the Database to Compact From dialog box, select the file and path. Click OK. In the Database to Compact Into dialog box, select the file and path, the version of the resulting compacted file, the locale, and then click OK. The file to compact into can have the same name as the file being compacted. However, an error is returned if the name of the file to compact into is the same as another existing file. Compacting password-protected files may have unpredictable results.


New Database Dialog Box

Enter the full path of the new Microsoft Access database you want to create.

When using the Microsoft Access driver, click Create to create a new database.

Note A database created this way will work only with Microsoft Access 7.0 and later.

If no database is provided at setup, the user will be prompted to choose a database file when connecting to the data source.

The New Database dialog box contains the following controls among others:

Database Name and location | Specifies the name and location of the new database.
Locale | Specifies the locale (LCID), or language, for the database.
Format | Format of the Microsoft Jet Database Engine. Options: Version 4.x (most recent, Unicode format), Version 3.x (ANSI format), or Version 2.x (ANSI format).
Options | Clicking System Database will create a database that can be shared, and will be recorded on the System DSN tab in the ODBC Data Source Administrator. Clicking Encryption sets this Access option. With the release of the Microsoft Jet Database Engine version 4.0, database encryption is allowed when creating databases. See the Jet Database Engine Programmer's Reference for additional information. Available only when Version 4.x format is selected.


Data Source Conversion

The 32-bit data sources used with the ODBC Desktop Database Drivers version 2.0 are automatically converted to new 32-bit data sources for version 4.0 drivers. No conversion is provided for 16-bit data sources. To change a 16-bit data source to 32-bit, create a new 32-bit data source and then (optionally) delete the old 16-bit data source. A 32-bit data source and a 16-bit data source cannot share the same name.


dBASE Files

ODBC Desktop Database Drivers 4.0 includes the following ISAM files for the Microsoft dBASE driver:

32-bit ISAM | dBASE Versions
Msxbse40.dll Oddbse32.dll | dBASE III dBASE IV dBASE 5.0


ODBC dBASE Setup Dialog Box

The ODBC dBASE Setup dialog box contains the following controls among others:

Data source information | Identifies the dBASE database, defaulting to the name assigned by the manufacturer. The Description field, blank by default, can contain your descriptive qualifiers.
Database | Select any installed dBASE database version and its location. If you select the Use Current Directory check box, Select Directory and Select Indexes are disabled.
Options Click to change the following driver options:
  • Collating Sequence. For sorting.

  • Page Timeout. The time, in tenths of a second, that an unused page remains in the buffer. It must always be greater than 0.

  • Exclusive. Limits access to the database to just one user.

  • Show Deleted Rows. Specifies whether rows marked as deleted can be retrieved or positioned on.

  • Approximate Row Count. Specifies whether table-size statistics are approximated.

Note Detailed and programmatic information about this driver is located at msdn.microsoft.com. (Open the MSDN Library Online and then the Platform SDK to find the MDAC SDK, which contains a section called ODBC Drivers.) Other information can be found under Data Source Conversion, dBASE Files, IISAM Registry Entries, and Common ODBC Component Files in this help file. dBASE is a product of the INPRISE Corporation and is accompanied by its own help file.


Define Text Format Dialog Box

Use the Define Text Format dialog box to define the format for columns in a selected file and specify the schema for each data table. The Define Text Format dialog box contains the following controls among others:

Add | Adds a column using the values in the Data Type, Name, and Width fields.
Characters | ANSI or OEM. OEM specifies a non-ANSI character set and is the default if the format of the item selected in the Tables list has not been defined.
Column Name Header | Specifies whether the columns of the selected table's first row will be used as column names. Defaults to FALSE (cleared) if the format of the item selected in the Tables list has not been defined.
Columns | Lists the column names for each column in the table selected in the Tables list and reflects the order of the columns in the table.
Data Type | Can be BIT, BYTE, CHAR, CURRENCY, DATE, FLOAT, INTEGER, LONGCHAR, SHORT, or SINGLE. For date data types, use "dd-mmm-yy", "mm-dd-yy", "mmm-dd-yy", "yyyy-mm-dd", or "yyyy-mmm-dd". ("mm" denotes numbers for months; "mmm" denotes letters for months.)
Delimiter | The custom delimiter character to be used to separate columns. Must be only one character, and double quotation marks (") cannot be used. Enabled when Custom Delimited is selected from the Format box.
Format | Either delimited or fixed-length. If delimited, indicates the type of delimiter used: comma (CSV), tab, or special character (custom). Defaults to CSV Delimited if the format of the item selected in the Tables list has not been defined. If Format is fixed-length and Column Name Header is selected, the first line must be comma delimited.
Guess | Click to generate the data type, name, and width values for the columns in the selected table by scanning the table's contents according to the Format list box selection. Enabled when the table format is delimited. Previously defined columns in the Columns list are cleared and replaced with new entries. If Column Name Header is not selected, column names are generated as "F1", "F2", and so on. This functionality works only on columns that are less than 64,513 bytes.
Modify | Click to modify the selected column using the values in the Data Type, Name, and Width fields.
Name | The selected column's name. Use to specify a new column name for either an existing column or a new column. If Column Name Header is selected, the displayed column name is ignored.
Remove | Deletes the selected column.
Rows to Scan | The number of rows that Setup or the driver will scan when setting the columns and column data types. Defaults to 25 if the format of the item selected in the Tables list has not been defined, but can be any number from 1 to 32767.
Tables | Lists all files that match the list of extensions specified in the directory selected in the ODBC Text Setup dialog box. When <default> is selected, the Columns list is disabled.
Width | Value can be changed for CHAR or LONGCHAR columns. For other data types, Width is disabled and no value is displayed. Defaults to 1 if the format of the item selected in the Tables list has not been defined.


Excel Files

ODBC Desktop Database Drivers 4.0 includes the following ISAM files for Excel:

32-bit ISAM | Microsoft Excel versions
Msexcl40.dll Odexl32.dll | 3.0, 4.0, 5.0, 7.0, 97

The Microsoft Excel driver cannot read Excel files whose format is earlier than version 3.0. However, these files can be opened in a later release of Microsoft Excel and saved in a version 3.0, 4.0, 5.0, 7.0, or 97 format that the driver can read.


IISAM Registry Entries

IISAM registry settings are written when DLLRegisterServer is called on each respective IISAM DLL and are removed when DLLUnregisterServer is called. This DLLRegisterServer function is called dynamically by the Jet ODBC function for each IISAM DLL. For example, if a connection is attempted using any IISAM and it fails initially, the driver will attempt to initialize this IISAM (calling DLLRegisterServer) and retry the connection.


ODBC Microsoft Excel Setup Dialog Box

The ODBC Microsoft Excel Setup dialog box contains the following controls among others:

Data source information | Identifies the Excel file. The Description field, blank by default, can contain your descriptive qualifiers.
Database | Use these options to change the default file location. If another location is desired, click Select Directory or Select Workbook, depending on which Excel product version you selected in the Version box.
Driver | Rows to Scan specifies the number of rows that Setup or the driver will scan when setting the columns and column data types. Can be any number from 1 to 16. Select Read Only to prohibit updates to the Excel file.

Note Detailed and programmatic information about this driver is located at msdn.microsoft.com. (Open the MSDN Library Online and then the Platform SDK to find the MDAC SDK, which contains a section called ODBC Drivers.) Other information can be found under Data Source Conversion, Excel Files, IISAM Registry Entries, and Common ODBC Component Files in this help file. Product Support is available.


ODBC Text Setup Dialog Box

The ODBC Text Setup dialog box contains the following controls among others:

Data source information | Identifies the file. The Description field, blank by default, can contain your descriptive qualifiers.
Database | The default file location. If another location is desired, click Select Directory.
Files | Lists the file name extensions of the text files on the data source. To use all files in the directory, select the Default (*.*) check box. To use only files with specified extensions, clear the Default (*.*) check box and add the extensions you want. When Default (*.*) is cleared, the default extensions are *.asc, *.csv, *.tab, and *.txt. To add an extension, type the extension in the Extension box and click Add. The extension must use the format *.xxx. For example, to use .dat files, type *.dat. To remove an extension, select the extension in the Extensions list and click Remove.
Define Format | Use the Define Text Format dialog box to define the format for columns in a selected file and to specify the schema for each data table. Note When the Text driver is used, a file with no extension is created when the CREATE TABLE statement is executed with a name that has no extension. To display files without extensions in the Define Text Format dialog box, "*." must be added to the Extensions List in the ODBC Text Setup dialog box.

Note Detailed and programmatic information about this driver is located at msdn.microsoft.com. (Open the MSDN Library Online and then the Platform SDK to find the MDAC SDK, which contains a section called ODBC Drivers.) Other information can be found under Data Source Conversion, IISAM Registry Entries, Text ISAM Files and Common ODBC Component Files in this help file.


Paradox Files

ODBC Desktop Database Drivers 4.0 includes the following ISAM files for Paradox:

32-bit ISAM | Paradox Versions
Mspdox40.dll Odpdx32.dll | Paradox 3.x Paradox 4.x Paradox 5.x


Product Support

Because many Microsoft products utilize ODBC as a core component and also redistribute ODBC drivers, Microsoft Product Support Services considers ODBC to be a part of each product that incorporates ODBC as a component. Support for ODBC is provided in accordance with the support agreement of that product. See the individual product documentation for more information.


Repair Database Dialog Box

The Repair Database dialog box targets the specific database to repair. Use this dialog box to specify Read/Write Shared (the default), Read Only (which prohibits any updates), or Exclusive access during the repair process.

If a client failure occurs during the commit process, the affected database might be corrupted and require repairs. You can use the ODBC Microsoft Access Setup dialog box to perform these repairs. Click Repair, and then in the Repair Database dialog box, select the file and path. Click OK.


Select Database Dialog Box

If no database is provided at setup, you will be prompted to choose a database file when connecting to the data source.

When using the Microsoft Access driver, click Select in the ODBC Microsoft Access Setup dialog box to open an existing database via the Select Database dialog box, which contains the following controls among others:

Database Name | Name of the existing database file, with an .mdb extension.
Read Only | Designates the database as read-only to prohibit any updates.
Exclusive | When selected, the database opens in Exclusive mode, which limits access to one user at a time and improves performance. When cleared, the database opens in Shared mode and can be accessed simultaneously by multiple users.


Select Indexes Dialog Box

The Select Indexes dialog box contains the following controls among others:

Tables | Lists all files in the currently selected data source.
Indexes | Lists the indexes assigned to the currently selected file in the Tables list.
List Files of Type | Specifies which file types to display in the Indexes list.

The ODBC dBASE driver automatically opens and updates dBASE IV index files. You must use the Select Indexes dialog box to associate dBASE III .ndx files with dBASE files.

The following limitations apply when creating dBASE indexes:

  • All column names must be valid.

  • All columns must be in the same ascending or descending order.

  • The length of any single text column must be less than 100 bytes.

  • If multiple columns exist, all columns must be text columns and the sum of the column sizes must be less than 100 bytes.

  • Memo fields cannot be indexed.

  • An index must not already be specified for the current set of fields. (That is, duplicate indexes are not allowed.)

  • The index name must follow the dBASE naming convention. dBASE III requires each index to be in a separate file and have an .ndx extension. In dBASE IV, indexes are created as tag names that are stored in a single .mdx file that has the same base name as the database file. (For example, Emp.mdx is the index file for the Emp.dbf database.)

To associate an index with a table

  1. From the Tables list, select a file.

  2. From the Indexes list, select an index.

  3. Click OK to save the table/index associations.

Note For the driver to recognize them, dBASE III indexes must be assigned using this dialog box.


Select System Database Dialog Box

When using the Microsoft Access driver, click Database and then System Database in the ODBC Microsoft Access Setup dialog box to select the system database via the Select System Database dialog box. Depending on your system's security requirements, the driver might prompt you for the name and password of the system database. The default name is Admin, and the default Microsoft Access password for the Admin user is an empty string.

The Select System Database dialog box contains the following controls among others:

Database Name | Name of the existing database file, with an .mdb extension.
Read Only | Designates the database as read-only to prohibit any updates.
Exclusive | When selected, the database opens in Exclusive mode, which limits access to one user at a time and improves performance. When cleared, the database opens in Shared mode and can be accessed simultaneously by multiple users.


Select Workbook Dialog Box

Use the Select Workbook dialog box to locate and select a Microsoft Excel Workbook file. Database Name shows the selected file. To prohibit updates to this file, select the Read Only check box. Search for the desired workbook file using the Directories, List Files of Type, and Drives boxes, or click Network to search for a workbook on the network.


Set Advanced Options Dialog Box

To use the Set Advanced Options dialog box, you must first enter the login name and password for this driver.

Depending on your system's security requirements, the driver might prompt you for your name and password if the data source uses a system (workgroup) database. The default name is Admin, and the default Microsoft Access password for the Admin user is an empty string.

The driver will use the following options, available in the Set Advanced Options dialog box when accessing any Access database.

DefaultDir | Identifies the default directory for the driver to access.
Driver | Use to enter a custom name for the Access driver.
FIL | File type. "MS Access" for Microsoft Access.
ExtendedAnsiSQL | Connection string attribute. If set to "1", enables Jet 4.0 features such as creating and dropping views and procedures, data truncation detection, new data types, and use of the SQL-92 reserved word list. Default is "0", which does not enable any of these features.
ImplicitCommitSync | Specifies how changes made outside of a transaction are written to the database. This value is initially set to "Yes", meaning that the Microsoft Access driver will wait for commits in an internal/implicit transaction to be completed.
MaxBufferSize | The size of the internal buffer, in kilobytes, that is used by Microsoft Access to transfer data to and from the disk. The default buffer size is 2048 KB (displayed as 2048). Any integer value divisible by 256 can be used. This sets the same option as Buffer Size in the Setup dialog box.
MaxScanRows | The number of rows to be scanned when setting a column's data type based on existing data. Can be a number from 1 to 16. Value defaults to 8; if set to 0, all rows are scanned. (A number outside the limit will return an error.)
PageTimeout | The period of time, in tenths of a second, that an unused page remains in the buffer. For the Microsoft Access driver, the default value is 0.5 seconds and must be greater than 0. This option applies to all data sources that use the Microsoft Access driver.
ReadOnly | Designates the database as read-only to prohibit any updates.
SafeTransactions | If 0, the default, all transactions are committed immediately. If 1, all transactions are saved to disk only upon a commit operation, but performance is slightly degraded.
Threads | The number of background threads for the engine to use. This value defaults to 3. The user can increase the number of threads if the database has a large amount of activity.
UserCommitSync | Specifies whether the Microsoft Access driver will perform explicit user-defined transactions asynchronously. The default is "Yes", meaning that the Microsoft Access driver will wait for commits in a user-defined transaction to be completed. Setting this value to "No" can have unpredictable transactional consequences in a multiuser environment.


Text ISAM Files

ODBC Desktop Database Drivers 4.0 includes two 32-bit ISAM files for Text files: Mstext40.dll and Odtext32.dll.


ODBC Paradox Setup Dialog Box

The ODBC Paradox Setup dialog box contains the following controls among others:

Data source information | Identifies the Paradox database, defaulting to the name assigned by the manufacturer. The Description field, blank by default, can contain your descriptive qualifiers.
Database | Use these options to locate the Paradox database or use the current directory. You can also select the specific version on any installed database.
Options Click to change driver options affecting access, services, and performance:
  • Collating Sequence. Dictates the sequence in which the fields are sorted.

  • Exclusive. Limits access to only one user and improves performance.

  • Page Timeout. Sets the period of time, in tenths of a second, that an unused page remains in the buffer.

  • User Name. The Paradox user name displayed to other users of Paradox files when a lock is encountered.

  • Net Style. The network access style to use when accessing Paradox data.

Note Detailed and programmatic information about this driver is located at msdn.microsoft.com. (Open the MSDN Library Online and then the Platform SDK to find the MDAC SDK, which contains a section called ODBC Drivers.) Other information can be found under Data Source Conversion, Paradox Files, IISAM Registry Entries, and Common ODBC Component Files in this help file. Paradox is a product of the INPRISE Corporation and is accompanied by its own help file.